CONFIG=$LGTAGGER_PATH/French/config/configParsing.txt
DIR=$LGTAGGER_PATH/scripts
OUTDIR=`grep "OUTPUT_DIR" $CONFIG | cut -d "=" -f 2`
FTB_DIR=${HOME}/research/experiments/parsing/Pypparsing/src/FTB


# learn crf model
echo "Training CRF model..."
#$DIR/lgparserTools -p tcrf -c $LGTAGGER_PATH/French/config/configParsing.txt -i ${FTB_DIR}/ftb6_2t.mrg

#preprocess treebank
echo "Prepocessing treebanks for PCFG training..."
$DIR/lgparserTools -p tpre -c $CONFIG -i ${FTB_DIR}/ftb6_2t.mrg -o mftb_1
$DIR/lgparserTools -p tpre -c $CONFIG -i ${FTB_DIR}/ftb6_3.mrg -o mftb_2
$DIR/lgparserTools -p tpre -c $CONFIG -i ${FTB_DIR}/ftb6_3.mrg -o mftb_3

# learn general grammar from corpus in directory mftb of the OUTPUT_DIR defined in the config
echo "Training general PCFG ..."
$DIR/lgparserTools -p tpcfg -c $CONFIG -i mftb -o grammar

# learn mwe grammar from corpus in directory mwe of the OUTPUT_DIR defined in the config
echo "Training PCFG for MWE internal structure..."
$DIR/lgparserTools -p tpcfg -c $CONFIG -i mwes -o mwes

#convert a mrg treebank in a txt flat text
echo "Converting a mrg treebank into a txt flat text..."
$DIR/lgparserTools -p mrg2txt -c $CONFIG -i ${FTB_DIR}/ftb6_3.mrg -o test

#preprocessing of text to be parsed
#-i gold treebank
echo "Preprocessing text to be parsed..."
$DIR/lgparserTools -p ppre -c $CONFIG -i ${FTB_DIR}/ftb6_3.mrg -t $OUTDIR/test.txt -o mtest

#parse with grammar
echo "Parsing text..."
$DIR/lgparserTools -p parse -c $CONFIG -t $OUTDIR/mtest -g grammar -o parse

#postprocess parse (be aware: MWE grammar and general grammar have hard coded names TO BE CHANGED)
echo "Posprocessing text..."
$DIR/lgparserTools -p ppost -c $CONFIG -i parse -t $OUTDIR/test.txt -o res

