#!/usr/bin/env bash


function usage {
     printf "Usage: %s <grammarPath> <treebankDirPath> <numberCycles>\n" $(basename $0) >&2      
     echo "<grammarPath> : the grammar path." >&2
     echo "<treebankDirPath> : treebnak directory path." >&2
     echo "<numberCycles> : number of cycles." >&2
     exit 2
}


if [ "$LGTAGGER_PATH" = "" ] ;
then
    echo "Environment variable LGTAGGER_PATH is undefined!! (cf. README)" >&2
    exit 2
fi

if [ $# != 3 ] ;
then
  usage
  exit 2
fi
grammar="$1"
treebankDir="$2"
cycles="$3"

java -Xms1024M -Xms2048M -cp $LGTAGGER_PATH/lib/berkeleyParser-V1_1-fr.jar edu/berkeley/nlp/PCFGLA/GrammarTrainer -out $grammar -path $treebankDir -treebank FRENCH -SMcycles $cycles

