/**
 * 
 *
 * Software: LGTools
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.app;

import java.util.Collections;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

/**
 * 
 * @author Matthieu Constant
 *
 */

public class JadtDistrib {
	private final String name;
	private final Map<String, Integer> map = new HashMap<String, Integer>();
	private int total = 0;
	
	public JadtDistrib(String name){
		this.name = name;
	}
	
	public void add(String subName){
		Integer val = map.get(subName);
		if(val == null){
			val = 0;
		}
		map.put(subName,val+1);
		total++;
	}
	
	
	
	public void print(){
		List<String> list = new LinkedList<String>(map.keySet());
		Collections.sort(list);
		System.err.print(name);
		for(String subName:list){
			System.err.print(":"+subName +"("+JadtScore.percent(map.get(subName),total)+"%)");
		}
		System.err.println();
	}
}
