/**
 * 
 *
 * Software: LGTools
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.app;

import java.util.Collections;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

/**
 * multiscores for jadt2012 experiments
 * 
 * @author Matthieu Constant
 *
 */

public class JadtMultiScores {
	private final String name;
	private final Map<String, JadtScore> scores = new HashMap<String, JadtScore>();
	
	/**
	 * @param name
	 */
	public JadtMultiScores(String name) {
		this.name = name;
	}
	
	
	
	public void increment(String subName,int cntInc,int totalInc){
		JadtScore score = scores.get(subName);
		if(score == null){
			score = new JadtScore(name+"("+subName+")");
			scores.put(subName, score);
		}
		score.inc(cntInc, totalInc);
	}
	
	
	public void print(){
		List<String> list = new LinkedList<String>(scores.keySet());
		Collections.sort(list);
		for(String subName:list){
			scores.get(subName).print();			
		}
	}
}
