/*
 * DisTagger
 *Author: Matthieu Constant
 *
 * Copyright (C) 2010 Université Paris-Est, LIGM and CNRS
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.distagger;

import java.util.ArrayList;
import java.util.List;

public class DisfluencyFactory {
	
	public static Disfluency createEuhDisfluency(int pos,List<AnneTag> tags,Slot parent){
		List<AnneTag> rm = new ArrayList<AnneTag>();
		rm.add(tags.get(pos));		
		return new Disfluency(pos,Operation.EUH,rm,null,parent);
	}

	public static Disfluency createDisfluency(int pos, Operation type, List<Integer> t, List<AnneTag> tags,int limit,int limit2,Slot parent){
		List<AnneTag> rm = new ArrayList<AnneTag>();
		List<AnneTag> rr = new ArrayList<AnneTag>();
		
		for(int i=pos; i < limit ; i++){
			rm.add(tags.get(t.get(i)));
		}
		for(int i=limit; i < limit2 ; i++){
			rr.add(tags.get(t.get(i)));
		}		
		return new Disfluency(t.get(pos),type,rm,rr,parent);
	}
	
}
