/*
 * DisTagger
 *Author: Matthieu Constant
 *
 * Copyright (C) 2010 Université Paris-Est, LIGM and CNRS
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.distagger;

import java.util.Iterator;

public class DisfluencyRrIterator implements Iterator<AnneTag>{
	private final DisfluencySeq disfluency;
	private int count;
  public DisfluencyRrIterator(DisfluencySeq d){
	  this.disfluency = d;
	  this.count = d.getRrStartingPos();
  }
public boolean hasNext() {	
	return this.count < disfluency.getRrEndingPos() + 1;
}
public AnneTag next() {
	return disfluency.getParentSlot().get(count++);
}
public void remove() {
}
}
