/*
 * DisTagger
 *Author: Matthieu Constant
 *
 * Copyright (C) 2010 Université Paris-Est, LIGM and CNRS
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.distagger;

import org.w3c.dom.Element;


public class EndOverlapping implements AnneTag{

	private int pos;
	private String origin;
	
	public EndOverlapping(int pos){
		this(pos,"");
	}
	
	public EndOverlapping(int pos,String origin){
		this.pos = pos;
		this.origin = origin;
	}
	
	public String getOrigin(){
		return origin;
	}
	
	
	public String toString(){
		return "[end_over]";
	}

	public boolean isUsable() {
		return false;
	}

	public String getValue() {
		if(this.origin.equals("")){
			return null;
		}
		return this.origin;
	}
	

	public int getPos(){
		return pos;
	}
	
	public Element toXMLElement(AnneTagXMLWriter tagWriter) {
		return tagWriter.write(this);
	}

	public String write(AnneTagWriter tagWriter) {
		return tagWriter.write(this);
	}

	public int getLastPos() {
		return pos;
	}
	
}
