/*
 * DisTagger
 *Author: Matthieu Constant
 *
 * Copyright (C) 2010 Université Paris-Est, LIGM and CNRS
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.distagger;

import java.io.File;

public enum GUIOperations {
	  CLASSES{
		  public void setFile(AnneConfiguration config,File f){
		      	  config.setClasses(f);
		  }
		  
		  public File getFile(AnneConfiguration config){
	      	  return config.getClasses();
	  }
		  
	  },
	  EUH{
		  public void setFile(AnneConfiguration config,File f){
	      	  config.setEuh(f);
		  }
		  public File getFile(AnneConfiguration config){
	      	  return config.getEuh();
	  }
	  },
	  OUT{
		  public void setFile(AnneConfiguration config,File f){
	      	  config.setOutDir(f);
		  }
		  public File getFile(AnneConfiguration config){
	      	  return config.getOutDir();
	  }
	  },
	  INSERTS{
		  public void setFile(AnneConfiguration config,File f){
	      	  config.setInserts(f);
		  }
		  public File getFile(AnneConfiguration config){
	      	  return config.getInserts();
	  }
	},
		 META{
			  public void setFile(AnneConfiguration config,File f){
		      	  config.setMeta(f);
			  }
			  public File getFile(AnneConfiguration config){
		      	  return config.getMeta();
		  }
		  
	  };	   
	  
	  public abstract void setFile(AnneConfiguration config,File f);
	  public abstract File getFile(AnneConfiguration config);

}
