/*
 * DisTagger
 *Author: Matthieu Constant
 *
 * Copyright (C) 2010 Université Paris-Est, LIGM and CNRS
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.distagger;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.HashMap;

public class MetaAnnotation {
	private final HashMap<String,String> annotations = new HashMap<String, String>();
	private final String defaultAnnotation = "Meta"; 
	
	public MetaAnnotation(String filename)throws FileNotFoundException,IOException{		
		BufferedReader reader = new BufferedReader(new InputStreamReader(new FileInputStream(filename),"UTF-8"));
		String s;
		while((s = reader.readLine())!=null){
			String[] tab = s.split(":");
			if(tab.length ==2){
			   annotations.put(tab[0], tab[1]);
			}
		}	
		reader.close();
	}
	
	public String getAnnotation(String form){
		String a = annotations.get(form);
		if(a == null){
			return defaultAnnotation;
		}
		return a;
	}

}
