/*
 * DisTagger
 *Author: Matthieu Constant
 *
 * Copyright (C) 2010 Université Paris-Est, LIGM and CNRS
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.distagger;

import java.awt.Component;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;
import java.io.IOException;

import javax.swing.JFileChooser;
import javax.swing.JOptionPane;

public class SaveActionListener implements ActionListener {
    private AnneConfiguration config;
    private boolean saveAs;
    private Component parent;
    
	public SaveActionListener(AnneConfiguration config,boolean saveAs,Component parent){
	    this.config = config;
	    this.saveAs = saveAs;
	    this.parent = parent;	    
	}
		
	public void actionPerformed(ActionEvent e) {
		File conf = config.getConfig();
		if((conf == null) || (saveAs)){
			JFileChooser fc = new JFileChooser(DistaggerMain.CURRENT_DIR);
			int returnVal = fc.showSaveDialog(parent);
			if(returnVal != JFileChooser.APPROVE_OPTION) return;
			conf = fc.getSelectedFile();			
			if(conf == null) return;			
		}
		try{
		config.save(conf.getAbsolutePath());
		}
		catch(IOException ex){
			JOptionPane.showMessageDialog(parent, ex.getMessage());
		}
	}

}
