/**
 * 
 *
 * Software: LGTools
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.distagger;

import java.util.Iterator;

/**
 * 
 * @author Matthieu Constant
 *
 */

public class SimpleTagWriter implements AnneTagWriter {
    private static final String SEP = "$";
    public static final String DISFLUENCY_MARKER=SEP;
	
	@Override
	public String write(Word w) {		
		return w.getForm();
	}

	@Override
	public String write(Meta m) {
		String val = m.getValue();
		String ret = "";
		if(val.equals("//") || val.equals("(silence)")){
			ret = "\n";
		}
		return ret+"@"+SEP+m.getType();
	}

	@Override
	public String write(Disfluency dis) {
		return dis.getValue();
	}

	@Override
	public String write(EndOverlapping eover) {
		return "@"+SEP+"eover";
	}

	@Override
	public String write(BackRefOverlapping brover) {
		return "@"+SEP+"brover";
	}

	@Override
	public String write(RefOverlapping rover) {
		return "@"+SEP+"rover";
	}

	@Override
	public String write(DisfluencySeq ds) {
		String res = "";
		/*for(Disfluency d:ds.getSeq()){		
			
		}*/
		res += " null"+SEP+ds.getType().getType();
		Iterator<AnneTag> it = ds.getRrIterator();
		String rr = "";
		res+= " ";
		while(it.hasNext()){			
			AnneTag t = it.next();
			//System.err.println("%%%"+t);
			rr += " "+t.write(this);
		}
		/*if(rr.length() > 0){
		    rr = rr.substring(1, rr.length());
		}*/
		res += rr;
		return res;
	}

}
