/*
 * DisTagger
 *Author: Matthieu Constant
 *
 * Copyright (C) 2010 Université Paris-Est, LIGM and CNRS
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.distagger;

import java.util.List;

public class SlotIteratorWithDisfluency extends DefaultSlotIterator {
	private final List<DisfluencySeq> invDisfluencies;
    private final DisfluencyLimit limit;
	
    public SlotIteratorWithDisfluency(Slot slot,DisfluencyLimit limit) {
		super(slot);
		this.invDisfluencies = slot.getInvertedDisfluencies();
		this.limit = limit;
	}
    public SlotIteratorWithDisfluency(Slot slot) {
		this(slot,DisfluencyLimit.ENTIRE);
	}
    

	@Override
	public AnneTag next() {
		if(invDisfluencies.get(count) == null){
			return slot.get(count++);
		}
		DisfluencySeq d = invDisfluencies.get(count);
		count = limit.getLimit(d);		
		return d;
	}
	
	

}
