/*
 * DisTagger
 *Author: Matthieu Constant
 *
 * Copyright (C) 2010 Université Paris-Est, LIGM and CNRS
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.distagger;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.HashSet;

public class StopWords {

	private HashSet<String> stopWords = null;
	
	public StopWords(String filename) throws FileNotFoundException,IOException{
		createStopWords(filename);
	}
	
	public HashSet<String> getStopWords(){
		if(stopWords == null) return createStopWords();
		return stopWords;		
	}

	public boolean isStopWord(String w){
		return stopWords.contains(w);
	}
	
	public HashSet<String> createStopWords(){
		stopWords = new HashSet<String>();
		return stopWords;
	}
	
	public void createStopWords(String filename) throws FileNotFoundException,IOException{
		
		BufferedReader reader = new BufferedReader(new InputStreamReader(new FileInputStream(filename),"UTF-8"));
		stopWords = new HashSet<String>();
		String s;
		while((s = reader.readLine())!=null){
			stopWords.add(s);
		}	
		reader.close();
	}
	
}
