/*
 * DisTagger
 *Author: Matthieu Constant
 *
 * Copyright (C) 2010 Université Paris-Est, LIGM and CNRS
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.distagger;

import java.io.File;

import javax.swing.JFrame;

public class TitleConfigListener implements ConfigListener {
    private JFrame frame;
   private AnneConfiguration config;
    
	public TitleConfigListener(JFrame frame,AnneConfiguration config){
		this.frame = frame;
		this.config = config;
	}
	
	private String getTitle(){
		String title = "New";
		File file = config.getConfig();
		if(file != null){
			title = file.getName();
		}
		return title;
	}
	
	
	private void setTitleWithStar(){		
		frame.setTitle(getTitle() + " *");
	}

	private void setNormalTitle(){		
		frame.setTitle(getTitle());
	}
	
	public void configChanged() {
		setTitleWithStar();		
	}

	public void configCleaned() {
		setNormalTitle();
	}

	public void configLoaded() {
		setNormalTitle();
	}

	public void configSaved() {
		setNormalTitle();
	}
		
}
