/*
 * DisTagger
 *Author: Matthieu Constant
 *
 * Copyright (C) 2010 Université Paris-Est, LIGM and CNRS
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.distagger;

import org.w3c.dom.Element;


public class Word implements AnneTag {

	private String form;
	private boolean completed;
   private int pos;
   
	public Word(String form, boolean completed,int pos) {		
		this.form = form;
		this.completed = completed;
		this.pos = pos;
	}

	public Word(String form,int pos) {
		this(form,true,pos);
	}

	public boolean isCompleted() {
		return completed;
	}

	public String getForm() {
		return form;
	}
	
	public String toString(){
		return "[word "+getPos()+" "+getForm()+"]";
	}

	public boolean isUsable() {
		return true;
	}

	public boolean isLeaf() {
		return true;
	}

	public String getValue() {
		return form;
	}
	
	public int getPos(){
		return pos;
	}
	
	public Element toXMLElement(AnneTagXMLWriter tagWriter) {
		return tagWriter.write(this);
	}
	
	public String write(AnneTagWriter tagWriter) {
		return tagWriter.write(this);
	}

	public int getLastPos() {
		return pos;
	}
	
}
