/*
 * DisTagger
 *Author: Matthieu Constant
 *
 * Copyright (C) 2010 Université Paris-Est, LIGM and CNRS
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.distagger;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.HashMap;
import java.util.HashSet;

public class WordClasses {
  private HashMap<String,HashSet<String>> classes = new HashMap<String, HashSet<String>>();
  
  public WordClasses(String filename) throws FileNotFoundException,IOException{
	  createClasses(filename);
  }
  
 public void createClasses(String filename)throws FileNotFoundException,IOException{	 
	 BufferedReader reader = new BufferedReader(new InputStreamReader(new FileInputStream(filename),"UTF-8"));
		String s;
		while((s = reader.readLine())!=null){
			String[] tab = s.split("=");
			if(tab.length == 2){
				String[] xs  =  tab[0].split(" ");
				String[] ys = tab[1].split(" ");				
			    for(String x:xs){
			    	HashSet<String> set = new HashSet<String>();
			    	classes.put(x,set);
			    	for(String y:ys){
			    		if(!x.equals(y)){
			    			set.add(y);
			    		}
			    	}
			    }  
				//classes.put(s);			      
			}
		}	
		reader.close();		
 }
     
     public boolean equivalentWords(String w1,String w2){
    	HashSet<String> set = classes.get(w1);
    	if(set == null) return false;
    	return set.contains(w2);
     }
 
}
