package fr.upemlv.lgtools.mwe;

import fr.upemlv.lgtools.tagging.nlp.Tokenizer;

public class MWEConstituentFactory {

	private static String normalize(String s){
		s = s.replaceAll("<E>", "");
		s = s.replaceAll("Det ", "0DET0");
		s = s.replaceAll(" N-Hum ", "0N0Hum0");
		s = s.replaceAll(" de le ", " du ");
		s = s.replaceAll(" de les ", " des ");
		s = s.replaceAll("à le ", " au ");
		s = s.replaceAll("à les ", " aux ");
		return s;
	}
	
	public static MWEConstituent createInstance(String c){
		c = normalize(c);
		MWEConstituent constituent = new MWEConstituent();
		Tokenizer tokenizer = new Tokenizer("French");
		for(String tok:tokenizer.perform(c)){
			constituent.add(tok);
		}
		return constituent;
	}
	
}
