package fr.upemlv.lgtools.mwe;

import java.io.File;
import java.io.FileFilter;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;

import jxl.Sheet;
import jxl.Workbook;
import jxl.WorkbookSettings;
import jxl.read.biff.BiffException;

public class Test {

	private static void loadTable(File file) throws IndexOutOfBoundsException, BiffException, IOException{
		String defaultSuffix = "V";
		String[] constituents = {"0","1","2","3"};
		String[] order = {"0","V","1","2","3"};
		WorkbookSettings ws = new WorkbookSettings();
	    ws.setEncoding("CP1252");
	    ws.setSuppressWarnings(true); 
		Sheet sheet = Workbook.getWorkbook(file,ws).getSheet(0);
		System.out.println(file);
		List<List<Integer>> seq = new ArrayList<List<Integer>>();
		HashMap<String,Integer> map = new HashMap<String, Integer>();
		for(String s:order){
			map.put(s, seq.size());
			seq.add(new LinkedList<Integer>());
		}
		for(int j = 0 ; j < sheet.getColumns() ; j++){
			String prop = sheet.getCell(j, 0).getContents();
			if(prop.startsWith("<ENT>")){
				boolean def = true;
				for(String s:constituents){
				  if(prop.endsWith(s)){
					  //System.out.println(prop+"=>"+s);
					 def = false;
					 seq.get(map.get(s)).add(j);					 
				   }
				}
				if(def){
					seq.get(map.get(defaultSuffix)).add(j);
				}
			}
			//System.out.print(sheet.getCell(j, i).getContents()+"_");
		}
		
		for(int i = 1 ; i < sheet.getRows() ; i++){
			MWE mwe = new MWE();
			for(String s:order){
				String c = "";
				//System.out.print(map.get(s));			
				for(int j:seq.get(map.get(s))){
					c+=" "+sheet.getCell(j, i).getContents();
				}				
				mwe.add(MWEConstituentFactory.createInstance(c));
			}
			
			System.out.println(mwe);
		}
		
	}
	
	
	public static void main(String[] argv) throws IndexOutOfBoundsException, BiffException, IOException{
		File dir = new File("/home/ladl/mconstan/svn/LG/figees");
		for(File f:dir.listFiles(new FileFilter() {
			
			@Override
			public boolean accept(File pathname) {
				return pathname.getAbsolutePath().endsWith(".xls");
			}
		})){
			loadTable(f);
			
		}
		//UnitexProcess p = new UnitexProcess("");
		
	}
	
}
