package fr.upemlv.lgtools.parsing;

import java.util.Set;

public class ItemFilter implements ItemCorrector<ParseTree>{
	private final Set<String> allowedCats;

	public ItemFilter(){
		allowedCats = null;
	}
	
	
	
	/**
	 * @param allowedCats
	 */
	public ItemFilter(Set<String> allowedCats) {
		this.allowedCats = allowedCats;
	}



	@Override
	public PreprocessedItem apply(PreprocessedItem item, ParseTree context) {
		int start = item.getStartPosition();
		int end = item.getEndPosition();
		
		//we only keep items that are in the allowedcats
		if((allowedCats != null) && !allowedCats.contains(item.getPartOfSpeech())){
			return null;
		}
		
		//System.err.println(item);
		if(context.isBreakingSyntacticStructure(start, end)){
		  return null;
		}
		return item;
	}

}
