

package fr.upemlv.lgtools.parsing;

import fr.upemlv.lgtools.parsing.mwe.FilteredGoldMweRecognizer;
import fr.upemlv.lgtools.parsing.mwe.MweRecognizer;
import fr.upemlv.lgtools.parsing.mwe.SimpleMweRecognizer;
import fr.upemlv.lgtools.tagging.LGTaggerConstants;
import fr.upemlv.lgtools.tagging.lex.Tagset;
import fr.upemlv.lgtools.text.RawText;





public class ParsingDemo {

	/**
	 * @param args
	 * @throws Exception 
	 */
	public static void main(String[] args) throws Exception {
		Treebank trainTreebank = new Treebank("/home/mconstan/research/experiments/parsing/Pypparsing/src/FTB/ftb6_2t.mrg");
		Treebank devTreebank = new Treebank("/home/mconstan/research/experiments/parsing/Pypparsing/src/FTB/ftb6_3.mrg");
		Treebank testTreebank = new Treebank("/home/mconstan/research/experiments/parsing/Pypparsing/src/FTB/ftb6_3.mrg");
		String configPath =  LGTaggerConstants.LGTAGGER_PATH+"/French/config/configParsing.txt";
		ParsingConfig config = new ParsingConfig(configPath);
		
		
		/* for training
		 * 
		 */
		
		//simple parsing integrate intermediate mwe nodes at training preprocessing  and remove them at parsing postprocessing
		SimpleMweMatParser parser = new SimpleMweMatParser(config);
		parser.learn(trainTreebank, devTreebank, testTreebank);
		
		
		
		// parsing integrating mwe recognition with crf
		//MweMatParser parser = new MweMatParser(config,false,false);
		//parser.learn(trainTreebank, devTreebank, testTreebank);
		
		
		/*
		 * for parsing
		 * 
		 */
		
		testTreebank = new Treebank("/home/mconstan/research/experiments/parsing/Pypparsing/src/FTB/ftb6_3.mrg");
		
		//first we get the text items (an item is a mwe recognized)
		Tagset tagset = config.getLgtaggerConfig().getTagset();
		SimpleMweRecognizer smwer = new SimpleMweRecognizer(config);
		MweRecognizer mwer = new FilteredGoldMweRecognizer(tagset, smwer);
		/*MweRecognizer mwer = new CrfMweRecognizer(config, smwer);
		*/
		TextItems items = mwer.apply(testTreebank);
		RawText t = testTreebank.toRawText(tagset);		
		Treebank res = parser.parse(t,items);
		res.save("/tmp/res.txt");
		
		
	}

}
