/**
 * 
 *
 * Software: LGTools
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */
package fr.upemlv.lgtools.parsing;

import java.util.Collections;
import java.util.Comparator;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;

/**
 * the items of a sentence
 * @author Matthieu Constant
 *
 */

public class SentenceItems implements Iterable<PreprocessedItem>{
	private final List<PreprocessedItem> items = new LinkedList<PreprocessedItem>();
    
	public SentenceItems(){}
	
	
	public void addItem(PreprocessedItem item){
		items.add(item);
	}

    public void sort(){
    	Collections.sort(items, new Comparator<PreprocessedItem>() {

			@Override
			public int compare(PreprocessedItem o1, PreprocessedItem o2) {				
				return o1.getStartPosition() - o2.getStartPosition();
			}
			
		});
    }
	
	public void sortReverse(){
		Collections.sort(items, new Comparator<PreprocessedItem>() {

			@Override
			public int compare(PreprocessedItem o1, PreprocessedItem o2) {				
				return -o1.getStartPosition() + o2.getStartPosition();
			}
			
		});
	}
	
	@Override
	public Iterator<PreprocessedItem> iterator() {		
		return items.iterator();
	}
	
	/**
	 * 
	 * @return the number of items
	 */
	
	public int size(){
		return items.size();
	}
	
}
