/**
 * 
 *
 * Software: LGTools
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.parsing;

import java.util.List;

import fr.upemlv.lgtools.text.Sentence;

/**
 * 
 * @author Matthieu Constant
 *
 */

public class SentencePreprocessingResult {
	private final ParseTree modifiedTree;
	private final List<PreprocessedItem> items;
	private final List<ParseTree> itemTrees;
	private final Sentence<String> modifiedRawSentence;
	
	/**
	 * @param modifiedTree
	 * @param items
	 * @param mWETrees
	 */
	public SentencePreprocessingResult(ParseTree modifiedTree,
			List<PreprocessedItem> items, List<ParseTree> itemTrees,Sentence<String> modifiedRawSentence) {
		this.modifiedTree = modifiedTree;
		this.items = items;
		this.itemTrees = itemTrees;
		this.modifiedRawSentence = modifiedRawSentence;
	}

	/**
	 * @return the modifiedTree
	 */
	public ParseTree getModifiedTree() {
		return modifiedTree;
	}

	/**
	 * @return the items
	 */
	public List<PreprocessedItem> getItems() {
		return items;
	}

	/**
	 * @return the mweTrees
	 */
	public List<ParseTree> getItemTrees() {
		return itemTrees;
	}

	/**
	 * @return the modifiedRawSentence
	 */
	public Sentence<String> getModifiedRawSentence() {
		return modifiedRawSentence;
	}
	
	
}
