/**
 *
 * Software: LGTools
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.parsing.mwe;

import fr.upemlv.lgtools.parsing.TextItems;
import fr.upemlv.lgtools.tagging.lex.Tagset;
import fr.upemlv.lgtools.text.RawText;

/**
 * 
 * @author Matthieu Constant
 *
 */

public abstract class GoldMWERecognizer extends MweRecognizer{
	protected  final Tagset tagset;
	protected final MweRecognizer recognizer;
	
	protected GoldMWERecognizer(Tagset tagset,MweRecognizer recognizer){
		this.tagset = tagset;
		this.recognizer = recognizer;
	}

	/* (non-Javadoc)
	 * @see fr.upemlv.lgtools.parsing.mwe.MweRecognizer#apply(fr.upemlv.lgtools.text.RawText)
	 */
	@Override
	public TextItems apply(RawText text) throws Exception {
		throw new RuntimeException("Method apply(text) is not implemented in a gold MWE recognizer!");
	}
	
	
}
