/**
 * 
 *
 * Software: LGTools
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.parsing.mwe;

import fr.upemlv.lgtools.tagging.lex.Tag;

/**
 * Represents a recognized MWE in sentence
 * 
 */

public class MWE {
	private final int startPosition;
	private final int endPosition;
	private final Tag tag;
	
	
	/**
	 * @param startPosition start position of MWE
	 * @param endPosition
	 * @param tag
	 */
	public MWE(int startPosition, int endPosition, Tag tag) {
		this.startPosition = startPosition;
		this.endPosition = endPosition;
		this.tag = tag;
	}
	/**
	 * @return the startPosition
	 */
	public int getStartPosition() {
		return startPosition;
	}
	/**
	 * @return the endPosition
	 */
	public int getEndPosition() {
		return endPosition;
	}
	/**
	 * @return the tag
	 */
	public Tag getTag() {
		return tag;
	}
	
   	
	
}
