/**
 * 
 *
 * Software: LGTools
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.tagging;

import java.io.File;
import java.io.IOException;

import fr.upemlv.lgtools.tagging.impl.Utils;
import fr.upemlv.lgtools.tagging.nlp.UnitexProcess;

/**
 * @author Matthieu Constant
 *
 */
public class LGTaggerCompiler {
	
	public static void main(String[] args) throws IOException, InterruptedException{
		UnitexProcess unitex = Utils.createUnitexProcess();
		//String SEP = File.separator;
		if(args.length != 1){
			System.err.println("Usage: "+LGTaggerCompiler.class.getCanonicalName()+" <config path>");
			System.exit(1);
		}
		LGTaggerConfig config = new LGTaggerConfig(args[0],false);		
		for(String name:config.getResources()){
			//name = LGTaggerConstants.LGTAGGER_PATH+SEP+config.getLang()+SEP+"lex"+SEP+name;
			//System.err.println(name);
			if(name.endsWith(".fst2")){
				name = name.substring(0,name.length() - 4)+"grf";
				if(new File(name).exists()){
				  System.err.println("Compiling "+ name+"...");
				  unitex.compileGrf(name, config.getLang());
				  System.err.println("Done.");
				}
				continue;
			}
			if(name.endsWith(".bin")){								
				name = name.substring(0,name.length() - 3)+"dic";
				if(new File(name).exists()){
				  System.err.println("Compiling "+ name+"...");
				  unitex.compress(name);
				  System.err.println("Done.");
				}
				continue;
			}
			System.err.println(name + " annot be compiled (bad extension)!");
		}	
	}
}
