/**
 * 
 *
 * Software: LGTools
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.tagging;

import java.io.File;

/**
 * @author Matthieu Constant
 *
 */
public class LGTaggerConstants {
	public final static String TOKEN_SEPARATOR = "_";
	public final static String LGTAGGER_PATH = System.getenv("LGTAGGER_PATH");
	public final static String LGTAGGER_UNITEX_PATH = System.getenv("LGTAGGER_PATH")+File.separator+"unitex";
	public final static String LGTAGGER_CRFPP_PATH = System.getenv("LGTAGGER_PATH")+File.separator+"crfpp";
	public final static String LGTAGGER_WAPITI_PATH = System.getenv("LGTAGGER_PATH")+File.separator+"wapiti";
	
    public final static String SINGLE_MODEL_METHOD = "single";
    public final static String DOUBLE_MODEL_METHOD = "double";
    public final static String BASELINE_METHOD = "baseline";
	
    public final static String RPROP_ALGO = "rprop";
    public final static String LBFGS_ALGO = "l-bfgs";
    
	/**
	 * Test whether LGTAGGER_PATH environment variable is defined
	 * If not, exit program.
	 */
	
	public static void isLGTaggerPathDefined(){
		if("".equals(LGTaggerConstants.LGTAGGER_PATH)){
			System.err.println("Environment variable LGTAGGER_PATH is not defined!");
			System.exit(1);
		}
	}

}
