/**
 * 
 *
 * Software: LGTools
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.tagging;

import fr.upemlv.lgtools.tagging.impl.LGTaggerLearner;
import fr.upemlv.lgtools.tagging.impl.LGTaggerPreprocessor;
import fr.upemlv.lgtools.tagging.impl.PreprocessingContext;

/**
 * Train LGTagger model
 * 
 * @author Matthieu Constant
 *
 */
public class LGTaggerTrain {

	
	
	
	
	
	
	

	/**
	 * @param args
	 * @throws Exception 
	 */
	public static void main(String[] args) throws Exception {			
		TrainEnvironment env = new TrainEnvironment(new LGTaggerArguments(true, args));
		LGTaggerPreprocessor preprocessor = new LGTaggerPreprocessor(new PreprocessingContext(env));
		LGTaggerLearner learner = new LGTaggerLearner(env, preprocessor);
		
		learner.perform(env.getRefCorpus(), env.getDevPath(),env.getAdditionalCorpusPath());
	}

}
