/**
 * 
 *
 * Software: LGTools
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.tagging;


/**
 * @author mconstan
 *
 */
public class LGTaggerValidate {

	/**
	 * @param args
	 * @throws Exception 
	 */
	public static void main(String[] args) throws Exception {
		if(args.length != 3){
			System.err.print("Usage: ");
			System.err.print("java "+LGTaggerMain.class.getCanonicalName()+" ");
			System.err.println("<config> <dirPath> <corpus>");
			System.err.println("<config>: path of config file");
			System.err.println("<dirPath>: output directory");
			System.err.println("<corpus>: path of reference corpus");
			System.exit(1);
		}
		String configPath = args[0];
		String dirPath = args[1];
		String corpusPath = args[2];		
		
		LGTaggerValidator validator = new LGTaggerValidator(dirPath, configPath, corpusPath);
		//String dirPath, String configPath,String corpusPath
		validator.validate();		
	}

}
