/**
 * 
 *
 * Software: LGTagger
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.tagging;

import java.util.LinkedList;

import fr.upemlv.lgtools.tagging.impl.LGTagger;
import fr.upemlv.lgtools.tagging.impl.LGTaggerFactory;
import fr.upemlv.lgtools.text.FullRawText;
import fr.upemlv.lgtools.text.RawText;

/**
 * @author Matthieu Constant
 *
 */
public class Test {

	/**
	 * Test program
	 * @param args arguments of the program
	 * @throws Exception 
	 */
	public static void main(String[] args) throws Exception {
		LGTaggerParameters p = new LGTaggerParameters("/home/mconstan/research/dev/LGTools/French/models/default", true, false);
		p.setMethod(LGTaggerConstants.BASELINE_METHOD);
		LinkedList<String> resources = new LinkedList<String>();
		//resources.add("/home/mconstan/research/dev/LGTools/French/lex/gold.bin");
		//resources.add("/home/mconstan/research/dev/LGTools/French/lex/gold.bin");
		LGTagger tagger = LGTaggerFactory.createTagger(new TaggingEnvironment(p),resources);
		RawText t = new FullRawText("/tmp/ref.txt", "UTF-8", "French", false);				
		tagger.perform(t).save("/tmp/here");
	}

}
