/**
 * 
 *
 * Software: LGTagger
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.tagging.config;

import java.util.Collection;

/**
 * Describes information on a group of lexical resources as a list of resource ids and a group id
 * 
 * @author Matthieu Constant
 *
 */
public class LexicalResourceGroupInfo {
	final private Collection<String> resourceIds;
	final private String groupId;
		
	public LexicalResourceGroupInfo(String groupId, Collection<String> resourceIds){
		this.resourceIds = resourceIds;
		this.groupId = groupId;
	}

	
	/**
	 * @return the resourceIds
	 */
	public Collection<String> getResourceIds() {
		return resourceIds;
	}


	/**
	 * @return the groupId
	 */
	public String getGroupId() {
		return groupId;
	}

}
