/**
 * 
 *
 * Software: LGTagger
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.tagging.config;

import fr.upemlv.lgtools.tagging.lex.Tagset;

/**
 * Represents a lexical resource made of a filename and a tagset
 * 
 * @author Matthieu Constant
 *
 */

public class LexicalResourceInfo {
	final private String resourceId;
	final private String filename;
	final private Tagset tagset;
	
	/**
	 * Constructs a lexical resource from a filename, a resource id and a tagset id
	 * 
 	 * @param filename filename
 	 * @param resourceId resource id
	 * @param tagsetId tagset id
	 */
	
	public LexicalResourceInfo(String filename, String resourceId,Tagset tagset) {
		this.resourceId = resourceId;
		this.filename = filename;
		this.tagset = tagset;
	}

	/**
	 * @return the filename
	 */
	public String getFilename() {
		return filename;
	}

	/**
	 * @return the tagset
	 */
	public Tagset getTagset() {
		return tagset;
	}

	/**
	 * @return the resourceId
	 */
	public String getResourceId() {
		return resourceId;
	}

	
	
}
