/**
 * 
 *
 * Software: LGTagger
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.tagging.config;

/**
 * Describes tagset information (configuration filename, id, id of transform into corpus tagset)
 * 
 * @author Matthieu Constant
 *
 */
public class TagsetInfo {
     final private String filename;
     final private String tagsetId;
     final private String transformId;
	
     /**
      * Constructs information on tagset with definition filename, tagset id and transform id
      * 
	 * @param filename filename
	 * @param tagsetId tagset id
	 * @param transformId transform id
	 */
     
	public TagsetInfo(String filename, String tagsetId, String transformId) {
		this.filename = filename;
		this.tagsetId = tagsetId;
		this.transformId = transformId;
	}

	/**
	 * @return the filename
	 */
	public String getFilename() {
		return filename;
	}

	/**
	 * @return the tagsetId
	 */
	public String getTagsetId() {
		return tagsetId;
	}

	/**
	 * @return the transformId
	 */
	public String getTransformId() {
		return transformId;
	}
	
     
     
	
}
