/**
 * 
 *
 * Software: LGTagger
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.tagging.config;

/**
 * Describes information about tagset transform (configuration filename, id)
 * 
 * @author Matthieu Constant
 *
 */

public class TagsetTransformInfo {
	private final String filename;
	private final String transformId;
	
	
	/**
	 * Constructs tagset transform information from transform filename and id.
	 * 
	 * @param filename transform configuration filename
	 * @param transformId transform id
	 */
	
	public TagsetTransformInfo(String filename, String transformId) {
		this.filename = filename;
		this.transformId = transformId;
	}


	/**
	 * @return the filename
	 */
	public String getFilename() {
		return filename;
	}


	/**
	 * @return the transformId
	 */
	public String getTransformId() {
		return transformId;
	}
	
	
	

}
