/**
 * 
 *
 * Software: LGTools
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.tagging.impl;

import fr.upemlv.lgtools.tagging.nlp.MultiAnnotationScore;
import fr.upemlv.lgtools.text.LightRawText;
import fr.upemlv.lgtools.text.RawText;
import fr.upemlv.lgtools.text.TaggedText;
import fr.upemlv.lgtools.text.TaggedTextFactory;

/**
 * 
 * 
 * @author Matthieu Constant
 *
 */
public abstract class LGTagger {
	/**
	 * tag a text
	 * 
	 * @param text raw text to be tagged
	 */
   public abstract TaggedText perform(RawText text) throws Exception;
   
   
   
   public MultiAnnotationScore performAndEvaluate(TaggedText gold,boolean withSeg,boolean verbose,boolean isAlreadyDecomposed) throws Exception{	   
	   RawText text;
	   if(withSeg && !isAlreadyDecomposed){
			 text = Utils.getDecomposedRawText(gold);				
	   }
	   else{
		     text =  new LightRawText(gold);
	   }
	   TaggedText res = perform(text);
	   res.save("/tmp/t2.txt");
	   if(isAlreadyDecomposed){
		   res = TaggedTextFactory.recomposeTaggedText(res,true);
		   gold = TaggedTextFactory.recomposeTaggedText(gold,true);
	   }
	   System.err.println("***** EVALUATION *******");
	   MultiAnnotationScore score = Utils.eval(res, gold);
	   System.err.println(score);
	   System.err.println("************************");
	   return score;
   }
   
}
