/**
 * 
 *
 * Software: LGTagger
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */
package fr.upemlv.lgtools.tagging.lex;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.Reader;

import fr.upemlv.lgtools.tagging.nlp.Tokenizer;


public abstract class Dico extends LexicalContainer{

    protected void loadDico(Reader reader,Tagset tagset,LexicalEntryParser parser,String lang,boolean hasFlexibleAddition) throws IOException{
    	BufferedReader breader = new BufferedReader(reader);
		Tokenizer tokenizer = new Tokenizer(lang);
		String line;
		while((line = breader.readLine())!= null){
			if("".equals(line)){
				continue;
			}
			for(LexicalEntry entry : parser.parse(line,tagset)){
			  addLexicalEntry(entry,tokenizer);
			}			
		}		
		breader.close();
   	
    }
    
    protected abstract void addLexicalEntry(LexicalEntry entry,Tokenizer tokenizer);
    



}
