/**
 * 
 *
 * Software: LGTagger
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.tagging.lex;

import java.util.Collection;

/**
 * Classes that allows fo parsing a string and convert it as a lexical entry
 * 
 * @author Matthieu Constant
 *
 */
public interface LexicalEntryParser {
	
	/**
	 * Unitex lexical entry parser
	 */
	public final LexicalEntryParser UNITEX_LEXICAL_ENTRY_PARSER = new UnitexLexicalEntryParser(false);
	public final LexicalEntryParser FLEXIBLE_UNITEX_LEXICAL_ENTRY_PARSER = new UnitexLexicalEntryParser(true);
	public final LexicalEntryParser TABBED_LEXICAL_ENTRY_PARSER = new TabbedLexicalEntryParser();
	

	/**
	 * parses a string into a lexical entry 
	 * @param s string to be parsed
	 * @return lexical entry corresponding to s 
	 */
	public Collection<LexicalEntry> parse(String s,Tagset tagset);
	
}
