/**
 * 
 *
 * Software: LGTagger
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */


package fr.upemlv.lgtools.tagging.lex;

import java.util.Set;


/**
 * Represents a result of a lookup in a tree
 * 
 * @author Matthieu Constant
 *
 */

public class LookupMatch {
      final private int startPosition;
      final private int endPosition;
      final private Set<LexicalEntry> tags;
      
      
	public LookupMatch(int startPosition, int endPosition,Set<LexicalEntry> tags) {
		this.startPosition = startPosition;
		this.endPosition = endPosition;
		this.tags = tags;
	}

	/**
	 * @return the startPosition
	 */
	public int getStartPosition() {
		return startPosition;
	}

	/**
	 * @return the endPosition
	 */
	public int getEndPosition() {
		return endPosition;
	}

	/**
	 * @return the tags
	 */
	public Set<LexicalEntry> getTags() {
		return tags;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "TreeLookupResult [endPosition=" + endPosition
				+ ", startPosition=" + startPosition + ", tags=" + tags + "]";
	}
      
    
}
