/**
 * 
 *
 * Software: LGTools
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.tagging.lex;

import java.util.Collection;
import java.util.LinkedList;

/**
 * @author Matthieu Constant
 *
 */
public class TabbedLexicalEntryParser implements LexicalEntryParser {

	/* (non-Javadoc)
	 * @see fr.upemlv.tagging.lex.LexicalEntryParser#parse(java.lang.String, fr.upemlv.tagging.lex.Tagset)
	 */
	@Override
	public Collection<LexicalEntry> parse(String s, Tagset tagset) {
		String[] tab = s.split("\t");
		if(tab.length < 2){
			throw new RuntimeException("Bad format of tabbed dictionary for line "+s);
		}
		Collection<LexicalEntry> list = new LinkedList<LexicalEntry>();
		String ss = tab[0].replaceAll("_", " ");
		LexicalEntry entry = new LexicalEntry(ss, "", new Tag(tab[1],tagset));
		list.add(entry);
		if(ss.contains("-")){
		  entry = new LexicalEntry(ss.replaceAll(" - ", "-"), "", new Tag(tab[1],tagset));
		  list.add(entry);
		}
		if(ss.contains("'")){
			  entry = new LexicalEntry(ss.replaceAll("' ", "'"), "", new Tag(tab[1],tagset));
			  list.add(entry);
			}
		//System.out.println(list);
		return list;
	}

}
