/**
 * 
 *
 * Software: LGTools
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.tagging.lex;

/**
 * Interface for parsing tag string into a tag
 * 
 * @author Matthieu Constant
 *
 */
public interface TagParser {
	/**
	 * Default tag parser
	 */
    public final TagParser DEFAULT_TAG_PARSER = new TagParser() {
		
		@Override
		public Tag parse(String value, Tagset tagset) {			
			return new Tag(value,tagset);
		}
	};
	
	
	/**
	 * parses a tag value
	 * 
	 * @param value tag value to parse
	 * @param tagset tagset
	 * @return
	 */
   public Tag parse(String value,Tagset tagset);
}
