/**
 * 
 *
 * Software: LGTools
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.tagging.lex;

import java.util.Set;

/**
 * 
 * @author Matthieu Constant
 *
 */

public class UndefinedFlexibleTagset extends Tagset{

	/* (non-Javadoc)
	 * @see fr.upemlv.lgtools.tagging.lex.Tagset#containsCat(java.lang.String)
	 */
	@Override
	public boolean containsCat(String cat) {
		return true;
	}

	/* (non-Javadoc)
	 * @see fr.upemlv.lgtools.tagging.lex.Tagset#getCats(java.lang.String)
	 */
	@Override
	public Set<String> getCats(String type) {
		throw new RuntimeException("Method not implemented !!");
	}

	/* (non-Javadoc)
	 * @see fr.upemlv.lgtools.tagging.lex.Tagset#getMandatoryTypes()
	 */
	@Override
	public Set<String> getMandatoryTypes() {
		throw new RuntimeException("Method not implemented !!");
	}

	/* (non-Javadoc)
	 * @see fr.upemlv.lgtools.tagging.lex.Tagset#getPrintable(java.lang.String)
	 */
	@Override
	public String getPrintable(String t) {
	   return t;	
	}

	/* (non-Javadoc)
	 * @see fr.upemlv.lgtools.tagging.lex.Tagset#getType(java.lang.String)
	 */
	@Override
	public String getType(String cat) {		
		return Tagset.POS;
		
	}

	/* (non-Javadoc)
	 * @see fr.upemlv.lgtools.tagging.lex.Tagset#getTypes()
	 */
	@Override
	public Set<String> getTypes() {
		throw new RuntimeException("Method not implemented !!");
	}

	/* (non-Javadoc)
	 * @see fr.upemlv.lgtools.tagging.lex.Tagset#isMandatory(java.lang.String)
	 */
	@Override
	public boolean isMandatory(String type) {
		return true;
	}

	
	
}
