/**
 * 
 *
 * Software: LGTools
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.tagging.nlp;

/**
 * 
 * @author Matthieu Constant
 *
 */

public class ExecInfo {
	private final double time;
	private final int featureCount;
	private final int labelCount;
	
	public ExecInfo(){
		this.time = 0;
		this.featureCount = 0;
		this.labelCount = 0;
	}
	
	/**
	 * @param time
	 * @param featureCount
	 * @param labelCount
	 */
	public ExecInfo(double time, int featureCount, int labelCount) {
		this.time = time;
		this.featureCount = featureCount;
		this.labelCount = labelCount;
	}
	/**
	 * @return the time
	 */
	public double getTime() {
		return time;
	}
	/**
	 * @return the featureCount
	 */
	public int getFeatureCount() {
		return featureCount;
	}
	/**
	 * @return the labelCount
	 */
	public int getLabelCount() {
		return labelCount;
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "ExecInfo [featureCount=" + featureCount + ", labelCount="
				+ labelCount + ", time=" + time + "]";
	}
	
	public static ExecInfo add(ExecInfo i1,ExecInfo i2){
		return new ExecInfo(i1.getTime()+i2.getTime()
				            ,i2.getFeatureCount()+i1.getFeatureCount()
				            ,i1.getLabelCount()+i2.getLabelCount());
	}

}
