/**
 * 
 *
 * Software: LGTools
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.tagging.nlp;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/**
 * Several scores
 * 
 * 
 * @author Matthieu Constant
 *
 */

public class MultiAnnotationScore {
   final private List<AnnotationScore> scores = new ArrayList<AnnotationScore>();
   final private List<String> names = new ArrayList<String>();
   
   
   public void addScore(String name,AnnotationScore score){
	  scores.add(score);
	  names.add(name);
   }
	
   public void updateScore(MultiAnnotationScore msc){
	   if(names.isEmpty()){
		   names.addAll(msc.names);
		   scores.addAll(msc.scores);
	   }
	   Iterator<AnnotationScore> it = scores.iterator(); 
	   for(AnnotationScore sc:msc.scores){
		   AnnotationScore sc1 = it.next();
		   sc1.updateScore(sc);
	   }	   	   
   }
   
   
   @Override
   public String toString(){
	   StringBuilder res = new StringBuilder();
	   Iterator<String> nameIt = names.iterator();
	   for(AnnotationScore sc:scores){
		  String name = nameIt.next();
		  res.append(name+":");
		  res.append(sc);
		  res.append("\n");
	   }	   	
	   return res.toString();
   }
}
