package fr.upemlv.lgtools.test;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.Reader;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;

import jxl.Workbook;
import jxl.WorkbookSettings;
import jxl.write.Label;
import jxl.write.WritableSheet;
import jxl.write.WritableWorkbook;
import jxl.write.WriteException;
import jxl.write.biff.RowsExceededException;
import fr.upemlv.lgtools.tagging.lex.LexicalEntry;
import fr.upemlv.lgtools.tagging.lex.LexicalEntryParser;
import fr.upemlv.lgtools.tagging.lex.ListDico;
import fr.upemlv.lgtools.tagging.lex.Tag;
import fr.upemlv.lgtools.tagging.lex.Tagset;

public class Delacf2XlsTest {

	public static void main(String[] args) throws IOException, RowsExceededException, WriteException{
		Tagset tagset = new Tagset("tagset.txt");
		Tag tag = new Tag(tagset);
		tag.addCat("N");
		HashMap<String,List<LexicalEntry>> map = new HashMap<String, List<LexicalEntry>>();
		Reader reader = new InputStreamReader(new FileInputStream("/mnt/libre/data/refs/dicos/dela/delacf-utf8.dic"),"UTF-8");
		
		ListDico dico = new ListDico(reader, tagset, LexicalEntryParser.UNITEX_LEXICAL_ENTRY_PARSER, "French", false);
		for(LexicalEntry entry:dico){
			if(entry.getTag().contains(tag)){
				String cat = "??";
				for(String struct:entry.getTag().getCategories("STRUCT")){
					cat = struct;
					break;
				}
				List<LexicalEntry> entries = map.get(cat);
				if(entries == null){
					entries = new LinkedList<LexicalEntry>();
					map.put(cat, entries);
				}
				entries.add(entry);
			}
		}
		WorkbookSettings ws = new WorkbookSettings();
		WritableWorkbook wb = Workbook.createWorkbook(new File("/tmp/tmp.xls"),ws);
		wb.createSheet("NA", 0);
		WritableSheet sheet = wb.getSheet(0);
		int j = 3;
		sheet.addCell(new Label(0, 0, "FORM"));
		sheet.addCell(new Label(1, 0, "LEMMA"));
		sheet.addCell(new Label(2, 0, "POS"));
		for(String type:tagset.getTypes()){
			if(!type.equals("POS")){
			  sheet.addCell(new Label(j, 0, type));
			  j++;
			}
		}

		int i = 1;
		for(LexicalEntry entry:map.get("NA")){
			j = 3;
			sheet.addCell(new Label(0, i, entry.getWord()));
			sheet.addCell(new Label(1, i, entry.getLemma()));
			sheet.addCell(new Label(2, i, entry.getTag().getCategories("POS").toString()));
			for(String type:tagset.getTypes()){
				if(!type.equals("POS")){
					sheet.addCell(new Label(j, i, entry.getTag().getCategories(type).toString()));
					j++;
				}
			}
			i++;
			System.err.println(i);
		}
		wb.write();
		wb.close();
	}

}
