/**
 * 
 *
 * Software: LGTools
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.text;

import java.util.Iterator;

import fr.upemlv.lgtools.tagging.lex.InternalTagset;

public class DefaultTextFst extends TextFst {

	private final RawText text;
	private final InternalTagset tagset;
	
	public DefaultTextFst(RawText text,InternalTagset tagset){
		this.text = text;
		this.tagset = tagset;
	}
	
	@Override
	public Iterator<SentenceFst> iterator() {
		
		return new Iterator<SentenceFst>() {
			Iterator<Sentence<String>> it = text.iterator();
			
			@Override
			public boolean hasNext() {
				return it.hasNext();
			}

			@Override
			public SentenceFst next() {				
				return new SentenceFst(tagset, it.next());
			}

			@Override
			public void remove() {	
			}
		};
		
	}

	@Override
	int getSentenceCount() {
		return text.sentenceCount();
	}

	@Override
	int getWordCount() {
		return text.size();
	}

}
