/**
 * 
 *
 * Software: LGTagger
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.text;

import java.util.Collection;
import java.util.Iterator;

/**
 * 
 * @author Matthieu Constant
 *
 */

public class FullMultiFeaturedText extends MultiFeaturedText{
  
  
  /** constructs a multi-featured text from a raw text by applying a collection of propertyExtractors
   * with an empty tag for each token
   * 
   * @param t raw text
   * @param propertyExtractors collection of property extractors
   */
  
  public FullMultiFeaturedText(RawText t, TextProcessingContext tContext,Collection<PropertyExtractor> propertyExtractors){
	  addFeatureNames(propertyExtractors);
	  Iterator<SentenceProcessingContext> iterator = tContext.iterator();
	  for(Sentence<String> sentence:t){
		  SentenceProcessingContext sContext = iterator.next();
		  addSentence(computeRawSentence(sentence,sContext,propertyExtractors));
	  }
  }
  
  /**
   * constructs a multi-featured text from a tagged text by applying a collection of propertyExtractors
   * 
   * @param t tagged text
   * @param propertyExtractors collection of property extractors
   */
  
  public FullMultiFeaturedText(TaggedText t,TextProcessingContext tContext, Collection<PropertyExtractor> propertyExtractors){
	  addFeatureNames(propertyExtractors);
	  Iterator<SentenceProcessingContext> iterator = tContext.iterator();
	  for(Sentence<TaggedElement> sentence:t){		 
		  SentenceProcessingContext sContext = iterator.next();		 
		  addSentence(computeTaggedSentence(sentence,sContext,propertyExtractors));
	  }
  }
  
  /**
   * Add the tags to 
   * 
   * @param taggedText
   */
  
  public void addTags(TaggedText taggedText){
	  
  }
  
  
 
}
