/**
 * 
 *
 * Software: LGTools
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.text;

import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;

public class LightRawText extends RawText{
	final TaggedText text;
	final int size;
	final int sentenceCnt; 
	
	
	public LightRawText(TaggedText text){
		this.text = text;
		this.size = text.size();
		this.sentenceCnt = text.sentenceCount();
	}
	
	/* (non-Javadoc)
	 * @see fr.upemlv.tagging.text.Text#iterator()
	 */
	@Override
	public Iterator<Sentence<String>> iterator() {		
		return  new Iterator<Sentence<String>>() {  
			Iterator<Sentence<TaggedElement>> it = text.iterator();
			@Override
			public boolean hasNext() {				
				return it.hasNext();
			}

			@Override
			public Sentence<String> next() {
				Sentence<TaggedElement> s = it.next();
				List<String> sequence = new LinkedList<String>();
				for(TaggedElement te:s){
					sequence.add(te.getLexicalValue());
				}				
				return new Sentence<String>(sequence);
			}

			@Override
			public void remove() {
			}
			
		};
	}

	/* (non-Javadoc)
	 * @see fr.upemlv.tagging.text.Text#sentenceCount()
	 */
	@Override
	public int sentenceCount() {
		return sentenceCnt;
	}

	/* (non-Javadoc)
	 * @see fr.upemlv.tagging.text.Text#size()
	 */
	@Override
	public int size() {
		return size;
	}

	
	
}
