/**
 * 
 *
 * Software: LGTagger
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.text;

/**
 * 
 * @author Matthieu Constant
 *
 */


public class PropertyConstants {
	public final static String TRUE_VALUE = "+";
	public final static String FALSE_VALUE = "-";
	public final static String DEFAULT_VALUE = "-";
	public final static String TOKEN = "w";
	public final static String LOWERCASE = "lowercase";
	public final static String HAS_HYPHEN = "hasHyphen";
	public final static String HAS_DIGIT = "hasDigit";
	public final static String IS_MULTIWORD = "isMultiword";
	public final static String ALL_UPPERCASE = "allUppercase";
	public final static String BOS = "BOS";
	public final static String IS_CAPITALIZED = "isCapitalized";
	public final static String LEMMA = "lemma";
	public final static String SIMPLIFICATION = "simplify";
	/**
	 * binary encoding
	 */
	public final static String BPOS = "BPOS";
	public final static String BPOSZ = "BPOSZ";
	
	
	public final static String PREFIX = "prefix";
	public final static String SUFFIX = "suffix";
	/**
	 * property corresponding to the ambiguity class with tags of all kinds of words including multiword units
	 */
	public final static String AC = "AC";
	
	/**
	 * property corresponding to the ambiguity class with tags of simple words
	 */
	public final static String ACZ = "ACZ";
	
	/**
	 * property corresponding to the ambiguity class with tags of compound words
	 */
	public final static String ACC = "ACC";
	
	
	/**
	 * property corresponding to a POS tag associated with the token 
	 */
	
	public final static String TAG = "TAG";
	
	public final static String MWE = "MWE";
	public final static String MWE_IOB = "MWE_IOB";
	
	
	
}
