/**
 * 
 *
 * Software: LGTagger
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.text;

/**
 * Interface of a token property extractor
 * 
 * @author Matthieu Constant
 *
 */
public interface PropertyExtractor {
	/**
	 * 
	 * @return the name of the property associated with the extractor
	 */
	public String getPropertyName();
		
	
	/**
	 * Performs the extraction of a token property
	 * 
	 * @param sentence sentence context (including sentence fst, tagged sentence) 
	 * @param pos position in text
	 * @return property extracted for the token at the given position in the text
	 */
	public String perform(SentenceProcessingContext sentence,int pos);

	
}
