/**
 * 
 *
 * Software: LGTagger
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.text;

public class SentenceProcessingContext {
	final private String lang;
	final private SentenceFst sentenceFst;
	final private Sentence<TaggedElement> taggedSentence;
	
	/**
	 * @param sentenceFst sentence fst
	 * @param taggedSentence tagged sentence
	 */
	public SentenceProcessingContext(SentenceFst sentenceFst,
			Sentence<TaggedElement> taggedSentence,String lang) {
		this.lang = lang;
		this.sentenceFst = sentenceFst;
		this.taggedSentence = taggedSentence;
	}

	/**
	 * @return the sentenceFst
	 */
	public SentenceFst getSentenceFst() {
		return sentenceFst;
	}

	/**
	 * @return the taggedSentence
	 */
	public Sentence<TaggedElement> getTaggedSentence() {
		return taggedSentence;
	}

	/**
	 * @return the lang
	 */
	public String getLang() {
		return lang;
	}
	
	
}
