/**
 * 
 *
 * Software: LGTools
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.text;

import java.util.Collection;
import java.util.LinkedList;
import java.util.List;

import fr.upemlv.lgtools.tagging.lex.Tag;
import fr.upemlv.lgtools.tagging.lex.Tagset;

/**
 * @author Matthieu Constant
 *
 */
public interface SetFeature {

	
	/**
	 * BPOS set feature
	 */
	public static SetFeature BPOS = new SetFeature() {
		
		@Override
		public Collection<String> getElements(Tagset tagset,boolean withSeg) {
			List<String> elements = new LinkedList<String>();
			for(Tag tag:PropertyExtractorFactory.getBPOSTags(withSeg, tagset)){
			  elements.add(PropertyExtractorFactory.getBPOSName(tag));	
			}
			return elements;
		}

		@Override
		public String getName() {
			return PropertyConstants.BPOS;
		}
		
	};
	
	
	/**
	 * BPOSZ set feature
	 */
	public static SetFeature BPOSZ = new SetFeature() {
		
		@Override
		public Collection<String> getElements(Tagset tagset,boolean withSeg) {
			List<String> elements = new LinkedList<String>();
			for(Tag tag:PropertyExtractorFactory.getBPOSTags(withSeg, tagset)){
			  elements.add(PropertyExtractorFactory.getBPOSName(tag));	
			}
			return elements;
		}

		@Override
		public String getName() {
			return PropertyConstants.BPOSZ;
		}
		
	};
	
	
	/**
	 *
	 * @param tagset tagset
	 * @param withSeg with segmentation mode
	 * @return the collection of elements in the set feature
	 */
	
	public Collection<String> getElements(Tagset tagset,boolean withSeg);
	
	/**
	 * 
	 * @return the name of the feature
	 */
	
	public String getName();
	
}
