/**
 * 
 *
 * Software: LGTagger
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.text;

import fr.upemlv.lgtools.tagging.lex.Tag;

/**
 * Represents a linguistic element formed of a word and a tag
 * 
 * @author Matthieu Constant
 *
 */
public class TaggedElement implements LinguisticElement {
    final private String word;
    final private Tag tag;
	
	public TaggedElement(String w,Tag t){
		this.word = w;
		this.tag = t;
	}
	
	/* (non-Javadoc)
	 * @see fr.upemlv.tagging.text.LinguisticElement#getLexicalValue()
	 */
	@Override
	public String getLexicalValue() {
	   return word;
	}

	/* (non-Javadoc)
	 * @see fr.upemlv.tagging.text.LinguisticElement#getTag()
	 */
	@Override
	public Tag getTag() {
		return tag;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return word +"/"+tag;
	}

	
}
