/**
 * 
 *
 * Software: LGTools
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */

package fr.upemlv.lgtools.text;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;

import fr.upemlv.lgtools.tagging.lex.Tagset;

/**
 * Factory to build different types of texts
 * 
 * @author Matthieu Constant
 *
 */

public class TextFactory {

	/**
	 * creates an instance of TaggedText from a tabbed multicolumn text encoded in utf-8
	 * 
	 * @param filename filename
	 * @param tagset tagset
	 * @param lastColumnIndex index of column with the tag
	 * @return the new TaggedText instance
	 * @throws IOException 
	 */
	
	public static FullTaggedText createDefaultTaggedTextInstance(String filename, Tagset tagset, int lastColumnIndex) throws IOException{
	   FullTaggedText text = new FullTaggedText(tagset);
	   BufferedReader reader = new BufferedReader(new InputStreamReader(
				new FileInputStream(filename), "utf-8"));
	   
	   /**
	    * TODO?
	    */
	   
	   reader.close();
	   return text;
	}
	
}
