package fr.upemlv.lgtools.wfst;

import java.util.HashMap;
import java.util.Map;

public class BigramWFST<T> extends WFST<T> {
	Map<String,Integer> gramIndexes = new HashMap<String, Integer>();
	Map<Integer,String> grams = new HashMap<Integer,String>();
	
	public BigramWFST(){
		super();
	}
	
	public State addGramState(String gram){
		Integer index = gramIndexes.get(gram);
		if(index == null){
			index = getStates().size();
			gramIndexes.put(gram, index);
			grams.put(index, gram);
		}
		return addState(index);
	}
	
	public State getState(String gram){
		return getState(gramIndexes.get(gram));
	}
	
	public String getStateGram(int index){
		return grams.get(index);
	}
	
	
}
