package fr.upemlv.lgtools.wfst;

public class Lattice {
   final private Node[][] nodes;
   
   public Lattice(int xsize,int ysize){
	   nodes = new Node[xsize][ysize];
   }
   
   public void setNode(int x,int y,Node node){
	   nodes[x][y] = node;
   }
   
   public Node getNode(int x,int y){
	   return nodes[x][y];
   }
   
   public int getXSize(){
	   return nodes.length;
   }
   
   public int getYSize(){
	   return nodes[0].length;
   }
   
   
   public String[] viterbi(){
	   String[] result = new String[getXSize()];

	   for(int x = 0 ; x < getXSize() ; x++){
		   for(int y1 = 0 ; y1 < getYSize() ; y1++){
			   Node node = getNode(x, y1);

			   if(x != 0){
				   for(int y2 = 0 ; y2 < getYSize() ; y2++){
					   double cost = node.getCost();
					   Node node2 = getNode(x-1,y2);
					   cost += node2.getBestCost()+ node2.getArcs().get(y1).getCost();
					   if(cost > node.getBestCost()){
						   node.setBestCost(cost);
						   node.setBestPrev(node2);
					   }
				   }   
			   }
			   else{
				   node.setBestCost(node.getCost());
			   }
		   }	   
	   }
	   Node bestNode = null;
	   double bestCost = Double.MIN_VALUE;
	   int last = getXSize() - 1;
	   for(int y = 0 ; y < getYSize() ; y++){
		   Node node = getNode(last,y);
		   //System.out.println(node.getTag()+"=="+node.getBestCost());
		   if(node.getBestCost() > bestCost){
			   bestNode = node;
			   bestCost = node.getBestCost();
		   }
	   }
	   //System.out.println("--------------------------");
	   for(int x = last ; x >= 0 ; x--){
		   //System.out.println(bestNode.getWord()+"/"+bestNode.getTag());
		   result[x] = bestNode.getTag();
		   bestNode = bestNode.getBestPrev();
	   }	   
   
	   return result;
   }
   
   
}
