package fr.upemlv.lgtools.wfst;

import java.util.ArrayList;
import java.util.List;

import fr.upemlv.lgtools.tagging.impl.Utils;

public class Node {
	final private String word;
	final private String tag;
	final private double cost;
	private double alpha = 0.0;
	final private int position;
	private double bestCost;
	private Node bestPrev;
	private final List<Arc> arcs = new ArrayList<Arc>();
	private final List<Arc> rarcs = new ArrayList<Arc>();
	
	public Node(String tag,String word,int position,double cost) {
		this.word = word;
		this.tag = tag;
	    this.cost = cost;
	    this.position = position;
	    this.bestCost = Double.MIN_VALUE;
	    this.bestPrev = null;
	}
	
	public void addArc(Arc a){
		arcs.add(a);
		a.getDest().rarcs.add(new Arc(a.getDest(),a.getSrc(),a.getCost()));
	}

		
	public List<Arc> getArcs() {
		return arcs;
	}

	public List<Arc> getReverseArcs() {
		return rarcs;
	}
	
	public double getBestCost() {
		return bestCost;
	}

	public void setBestCost(double bestCost) {
		this.bestCost = bestCost;
	}

	public Node getBestPrev() {
		return bestPrev;
	}

	public void setBestPrev(Node bestPrev) {
		this.bestPrev = bestPrev;
	}

	public String getWord() {
		return word;
	}

	public String getTag() {
		return tag;
	}

	public double getCost() {
		return cost;
	}

	public int getPosition() {
		return position;
	}
	
	public double getAlpha(){
		return alpha;
	}
	
	public void calcAlpha(){
			  alpha = 0.0;
			  boolean flg = true;
			  for(Arc a:rarcs){
				  Node n = a.getSrc();
			      alpha = Utils.logsumexp(alpha,
			                      n.getCost() +n.getAlpha(),
			                      flg);
			      if(flg){
			    	  flg = false;
			      }
			  }
			  alpha+=cost;
	}
	
}
