package fr.upemlv.lgtools.wfst;

import java.util.LinkedList;
import java.util.List;

public class Path<T> {
	final private List<Transition<T>> transitions = new LinkedList<Transition<T>>();
	private double score = 0.0;

	public List<Transition<T>> getTransitions() {
		return transitions;
	}
	
	public void addTransition(Transition<T> t){
		transitions.add(t);
	}
	
	public void addFirst(Transition<T> t){
		transitions.add(0,t);
	}
	
	
	public double getScore() {
		return score;
	}

	public void setScore(double score) {
		this.score = score;
	}

	public Path<T> copy(){
		Path<T> path = new Path<T>();
		for(Transition<T> t:this.getTransitions()){
			path.addTransition(t);
		}
		return path;
	}
	
	public Path<T> concat(Transition<T> t){
		Path<T> path = this.copy();
		path.addTransition(t);
		return path;
	}
	
	public Path<T> concatFirst(Transition<T> t){
		Path<T> path = this.copy();
		path.addFirst(t);
		return path;
	}

	@Override
	public String toString() {
		return "Path " + transitions;
	}
	
	
}
