/**
 * 
 *
 * Software: LGTools
 *
 * Copyright (C) 2010-2011 Université Paris-Est Marne-la-Vallée
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */
package fr.upemlv.lgtools.wfst;

/**
 * 
 * @author Matthieu Constant
 *
 */

public class State {
	private boolean isFinal;
	private boolean isInitial;
	
//	final private List<Transition> transitions = new ArrayList<Transition>();
	final double weight = 0.0;
	final private int id;

	
	public State(int id,boolean isFinal,boolean isInitial) {
		this.isFinal = isFinal;
		this.isInitial = isInitial;
		this.id = id;
	}
	
	public State(int id,boolean isFinal) {
		this(id,isFinal,false);
	}
	
	public State(int id) {
		this(id,false,false);
	}
	
	/*
	public List<Transition> transitions(){
		return transitions;
	}
	
	public void addTransition(Transition transition){
		transitions.add(transition);
	}
	*/

	
	public boolean isFinal() {
		return isFinal;
	}
	
	public boolean isInitial() {
		return isInitial;
	}
	
	
	public void setFinal(boolean isFinal){
		this.isFinal = isFinal;
	}
	
	/**
	 * 
	 * @param isInitial
	 */
	
	public void setInitial(boolean isInitial){
		this.isInitial = isInitial;
	}
	

	/**
	 * @return the weight
	 */
	public double getWeight() {
		return weight;
	}

	/**
	 * @return the id
	 */
	public int getId() {
		return id;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "State [id=" + id + ", isFinal=" + isFinal + ", isInitial="
				+ isInitial + "]";
	}
	

	

	
}
